import swarm.Globals;
import swarm.Selector;

public class SwarmUtils
{
    public static Selector getSelector(String name, String method)
    {
		Selector sel;

		try
	    {
	    	sel = new Selector(Class.forName(name), method, false);
	    }
	    catch (Exception e)
		{
			System.err.println("There was an error in creating a Selector for method "
				   + method + "\nin Class " + name + ".");
			System.err.println (name + "." + method + " returns " + e.getMessage());
			System.err.println("The process will be terminated.");
			System.exit(1);
			return null;
		}

		return sel;
    }

    public static Selector getSelector(Object obj, String method)
    {
		Selector sel;

		try
	    {
	    	sel = new Selector(obj.getClass(), method, false);
	    }
	    catch (Exception e)
		{
			System.err.println("There was an error in creating a Selector for method "
				   + method + "\nin Class " +
				   (obj.getClass()).getName() + ".");
			System.err.println ((obj.getClass()).getName() + "." + method
				    + " returns " + e.getMessage());
			System.err.println("The process will be terminated.");
			System.exit(1);
			return null;
		}

		return sel;
    }

}
